## golang-github-joshuarubin-lifecycle 1.1.4

=== debian/changelog ===
golang-github-joshuarubin-lifecycle (1.1.4-2) unstable; urgency=medium

  [ Alex Myczko ]
  * Team upload.
  * Source only upload.

 -- Alex Myczko <tar@debian.org>  Thu, 25 Apr 2024 08:28:21 +0200

golang-github-joshuarubin-lifecycle (1.1.4-1) unstable; urgency=medium

  * Initial release (Closes: #1067869)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Thu, 28 Mar 2024 11:48:07 +0800
